//priority: 0

onEvent('recipes', e => {

    removeRecipeByOutput(e, [
		MU('reversing_hoe'),
		PRE("dm_hoe"),
		PRE("rm_hoe"),
    ])

	//unstable
	e.custom({
        input: [
			{ item: KJ('1m_component_wafer') },
			{ item: MC('netherite_hoe') },
			{ item: KJ('1m_component_wafer') },
			{ item: IF("plastic") },
			{ item: IF("plastic") },
			{ item: SS("red_nether_star") },
			{ item: PREXP("magnum_star_zwei") }, //400.64 mil
			{ item: SS("red_nether_star") }
        ],
        inputFluid: "{FluidName:\"industrialforegoing:latex\",Amount:8000}",
        processingTime: 400,
        output: {
          item: MU("reversing_hoe"),
          count: 1
        },
        type: IF("dissolution_chamber")
    }).id(KJ("reversing_hoe"))

	//dm
	e.recipes.extendedcrafting.shaped_table(PRE('dm_hoe'), hoeTemplates.ultimate, {
		A: PREXP('magnum_star_drei'), // 1.6 bil
		B: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:shadow_steel" }),
		C: KJ('4m_component_wafer'),
		D: MU("reversing_hoe"),
		E: PRE('dark_matter_block'),
		F: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:dark_matter" }),
		G: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:antimatter_relay_mk2" }),
	}).id(KJ("dm_hoe"))


    //rm
    e.custom({
        input: [
			{ item: SS('red_nether_star') },
			{ item: PRE("dm_hoe") },
			{ item: SS('red_nether_star') },
			{ item: PRE("red_matter_block") },
			{ item: PRE("red_matter_block") },
			{ item: PREXP("dark_power_flower") },
			{ item: PREXP("magnum_star_drei") }, //1.6 bil
			{ item: PREXP("dark_power_flower") }
        ],
        inputFluid: "{FluidName:\"boss_tools:oil\",Amount:8000}",
        processingTime: 400,
        output: {
          item: PRE("rm_hoe"),
          count: 1
        },
        type: IF("dissolution_chamber")
    }).id(KJ("rm_hoe"))
})